# norootforbuild
#!BuildIgnore:          post-build-checks
%if 0%{?sles_version}
%define suseversion  %(echo "SUSE Linux Enterprise `echo -e "scale=1\\n%{sles_version}" | bc` (%_build_cpu)" || Unknown)
%else
%define suseversion  %(echo "openSUSE Linux `echo -e "scale=1\\n%{suse_version}/100" | bc 2>/dev/null || echo UNKNOWN` (%_build_cpu)")
%endif

%define revision 27637

Name:		MPlayer
License:	GNU General Public License version 2 (GPL v2)
Group:		Productivity/Multimedia/Video/Players
Version:	1.0rc2_r%{revision}
Release:	16.30
Summary:	Multimedia Player
Summary(de):	Multimedia-Abspielprogramm
# Source0:	http://www1.mplayerhq.hu/MPlayer/releases/MPlayer-%{version}.tar.bz2
# svn://svn.mplayerhq.hu/mplayer/trunk
Source0:	MPlayer-%{version}.tar.bz2
Source1:	http://www1.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2
Patch3:		MPlayer-decl.patch
#Patch6:		asm-fixes.diff
Patch7:		MPlayer-1.0rc1-warn.patch
Patch8:		MPlayer-comparison.patch
Patch18:	MPlayer-pci_linux_gnu_source.patch
# http://lists.freebsd.org/pipermail/freebsd-amd64/2005-May/004942.html
Patch22:	MPlayer-amd64-detection.patch
Patch23:	MPlayer-svn_version.patch
# http://bugzilla.mplayerhq.hu/show_bug.cgi?id=1267
# fixes infinite loop while trying to parse the 'udta' tag of
# a number of different MP4 files
Patch24:	bug490-demux_lavf.patch
Patch25:        mplayer_demux_real.patch
Patch26:	MPlayer-x26465.patch
URL:		http://www.mplayerhq.hu 
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif

%ifarch %ix86 
BuildRequires:  w32codec-all
%endif
BuildRequires:  libmp3lame-devel libogg-devel libtheora-devel libsmbclient-devel SDL-devel ladspa aalib-devel esound-devel gtk2-devel
BuildRequires:  glib2-devel dvb lzo-devel libdca-devel libpng-devel libdv libxvidcore-devel gcc-c++
BuildRequires:  DirectFB-devel lirc bc cdparanoia lzo lzo-devel fribidi-devel speex-devel
BuildRequires:  libfaac-devel libmpeg2-devel twolame-devel gettext-devel amrnb-devel amrwb-devel pkgconfig
BuildRequires:  libenca-devel libvstream-client-devel libdvdnav4 libdvdnav-devel
BuildRequires:	libx264-devel >= 0.0svn20080917 live libjack-devel giflib giflib-devel libjpeg-devel 
BuildRequires:  krb5-devel openldap2-devel libgssapi libdv-devel libcaca-devel libpulse-devel 
# FIXME get rid of fam-devel when its fixed in libschroedinger-devel
BuildRequires:	fam-devel

# Toni builds dirac from 10.3 on upwards
%if %{suse_version} >= 1030
BuildRequires:	libdirac-devel libschroedinger-devel
%endif

Provides:	mplayer = %{version}-%{release}
Provides:	mplayer-gui = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}
Provides:	gmplayer = %{version}-%{release}
Provides:	mencoder = %{version}-%{release}
Conflicts:	MPlayer-unstable
Conflicts:	mplayer-unstable

%description
MPlayer plays most MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV, QT/MOV/MP4,
RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ, PVA files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD,
SVCD, DVD, 3ivx, DivX 3/4/5 and even WMV movies..

Authors:
--------
    MPlayer team <mplayer-users@mplayerhq.hu>

%description -l de
MPlayer spielt die meisten MPEG/VOB, AVI, Ogg/OGM, VIVO, ASF/WMA/WMV,
QT/MOV/MP4, RealMedia, Matroska, NuppelVideo, FLI, YUV4MPEG, FILM, RoQ,
PVA-Dateien, unterstuetzt von vielen nativen, XAnim, und Win32 DLL-Codecs ab.
Mit MPlayer koennen sie VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 und sogar WMV-Filme
anschauen.

Authoren:
---------
    Das MPlayer Team <mplayer-users@mplayerhq.hu>

%debug_package
%prep
%setup -q -a 1
%patch3
#%patch6
%patch7
%patch8 -p1
%patch18
%patch22
%patch24
%patch25
%patch26
# only apply if packaging an SVN snapshot:
%if 0%{?revision:1}
%patch23
%endif
chmod 644 TOOLS/*.sh TOOLS/*.pl TOOLS/*.py

%build
%if 0%{?revision:1}
%__sed -i 's|@@SVN_REVISION@@|%{revision}|g;s|@@SUSE_VERSION@@|%{suseversion}|g' ./version.sh
%else
%__awk '{gsub ("%{version}-","%{version}-%{suseversion}-"); print $0}' <version.sh >version.sh.patched
%__mv version.sh.patched version.sh
%endif

%__sed -i 's|-O4|%{optflags}|g' configure

./configure \
 --prefix="%{_prefix}" \
 --confdir="%{_sysconfdir}/mplayer" \
 --datadir="%{_datadir}/mplayer" \
 --libdir="%{_libdir}" \
 --with-extralibdir="%{_libdir}" \
 --mandir="%{_mandir}" \
%ifarch %ix86 x86_64
 --enable-runtime-cpudetection \
%endif
 --enable-bl --enable-fbdev --enable-zr \
 --enable-gui --enable-menu --language=all \
 --enable-xvmc --with-xvmclib=XvMCW \
 --enable-largefiles --enable-smb --enable-joystick \
 --enable-radio --enable-radio-capture \
 --enable-dvdnav \
 --disable-nemesi \
 --disable-wii \
 --enable-faad \
%if 0%{sles_version} == 10
 --disable-ssse3 \
%endif
%ifarch %ix86
 --enable-qtx \
%else
 --disable-qtx \
%endif
 --disable-arts \
 --with-extraincdir="%{_libdir}/live" \
 --realcodecsdir="%{_libdir}/RealPlayer10/codecs" \
2>&1 | tee conflog

#
# Make sure that certain features have been properly detected
# and enabled by ./configure, by grepping patterns from the
# ./configure output (tee'd in ./conflog)
#
missing=""
for tag in \
    x264 \
    'OggTheora support' \
    '.*libdvdnav.*' \
    Xvid \
    Twolame \
    ENCA \
    'vstream client' \
%if %{suse_version} >= 1030
    libdirac \
    libschroedinger \
%endif    
    pulse \
; do
	grep -E "^Checking for ${tag} \.\.\. yes" conflog || missing="$missing $tag"
done

missing="${missing% }"
if [ -n "$missing" ]; then
   echo "ERROR: missing support for the following: $missing" >&2
   exit 1
fi

# see http://lists.mplayerhq.hu/pipermail/mplayer-dev-eng/2008-March/056913.html
%ifarch %ix86
%__sed -i 's|^\(QTX_EMULATION *= *\).*$|\1yes|' config.mak
%endif

%__chmod 0755 ./version.sh
%__make version.h
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall MANDIR="%{buildroot}%{_mandir}" INSTALLSTRIP=""

# skin
%__install -m 755 -d "%{buildroot}%{_datadir}/mplayer/skins/default"
%__cp -r Blue/* "%{buildroot}%{_datadir}/mplayer/skins/default/"

# configs
%__install -m 644 etc/example.conf "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
echo "fontconfig=yes" >>  "%{buildroot}%{_sysconfdir}/mplayer/mplayer.conf"
%__install -m 644 etc/input.conf "%{buildroot}%{_sysconfdir}/mplayer/"
%__install -m 644 etc/menu.conf "%{buildroot}%{_sysconfdir}/mplayer/"

# mencvcd
%__install -m 755 TOOLS/mencvcd.sh "%{buildroot}%{_bindir}/mencvcd"

%__rm -rf DOCS/man DOCS/xml

MANPAGES="$PWD/manpages.lst"
echo -n > "$MANPAGES"
pushd "%{buildroot}%{_mandir}"
for f in */man?/*; do
    lang=${f%%/*}
    echo "%doc %lang(${lang}) %{_mandir}/${f}*" >>"$MANPAGES"
done
popd
%if 0%{?suse_version}
%suse_update_desktop_file mplayer Multimedia
%endif

%clean
%__rm -rf "%{buildroot}"

%files -f manpages.lst
%defattr(-, root, root)
%doc DOCS TOOLS README AUTHORS Changelog
%dir %{_sysconfdir}/mplayer
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/mplayer.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/input.conf
%config(noreplace) %verify(not size mtime md5)  %{_sysconfdir}/mplayer/menu.conf
%doc %{_mandir}/man1/mplayer.1*
%doc %{_mandir}/man1/mencoder.1*
%{_bindir}/mplayer
%{_bindir}/gmplayer
%{_bindir}/mencoder
%{_bindir}/mencvcd
%dir %{_datadir}/mplayer
%dir %{_datadir}/mplayer/skins
%{_datadir}/mplayer/skins/default
%{_datadir}/applications/mplayer.desktop
%{_datadir}/pixmaps/mplayer.xpm

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
